using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.StoragesContracts;

public interface ICleaningStorage
{
    List<CleaningViewModel> GetFullList();
    List<CleaningViewModel> GetFilteredList(CleaningSearchModel model);
    CleaningViewModel? GetElement(CleaningSearchModel model);
    CleaningViewModel? Insert(CleaningBindingModel model);
    CleaningViewModel? Update(CleaningBindingModel model);
    CleaningViewModel? Delete(CleaningBindingModel model);
}